# -------------------------------------------------------------------
# Default Maven properties for the Summit plugin.
# -------------------------------------------------------------------
# These are the properties that we believe are immutable so we
# keep them apart from the project specific properties.
# -------------------------------------------------------------------

maven.plexus.runtimeDirectory = ${basedir}/runtime
maven.plexus.bin = ${maven.plexus.runtimeDirectory}/bin
maven.plexus.conf = ${maven.plexus.runtimeDirectory}/conf
maven.plexus.log = ${maven.plexus.runtimeDirectory}/log
maven.plexus.lib = ${maven.plexus.runtimeDirectory}/lib
maven.plexus.appLib = ${maven.plexus.runtimeDirectory}/app-lib
maven.plexus.components = ${maven.plexus.runtimeDirectory}/components
maven.plexus.work = ${maven.plexus.runtimeDirectory}/work

maven.plexus.componentBuilds = ${basedir}/component-builds
maven.plexus.templatePath = ${plugin.dir}/templates
maven.plexus.launcherConfigurationTemplate = classworlds.vm
maven.plexus.launcherConfiguration = classworlds.conf
